Skip to main content
`Ctrl`+`K`

# TSTransientVariableFn

A prototype of a function to transform from state to transient variables that would be passed to `TSSetTransientVariable()`

## Synopsis

    #include <petscts.h>
    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode TSTransientVariableFn(TS ts, Vec p, Vec c, PetscCtx ctx);

## Calling Sequence

- ts - timestep context

- p - input vector (primitive form)

- c - output vector, transient variables (conservative form)

- ctx - [optional] user-defined function context

## Note

The deprecated `TSTransientVariable` still works as a replacement for `TSTransientVariableFn` *.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSSetTransientVariable()`, `DMTSSetTransientVariable()`

## Level

advanced

## Location

include/petscts.h

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages